<div class="container">
  <form
    class="small-form"
    [formGroup]="formGroup"
    (ngSubmit)="onSubmit()"
  >
    <header class="small-form__header">
      <h1 class="small-form__title">Registration</h1>
    </header>
    <div class="small-form__field">
      <label class="field" [ngClass]="{'field--error': getError('username')}">
        <span class="field__title">
          Username *
        </span>
        <input type="text" formControlName="username">
        <span *ngIf="getError('username') as error"
              class="field__error"
        >
          {{error}}
        </span>
      </label>
    </div>
    <div class="small-form__field">
      <label class="field" [ngClass]="{'field--error': getError('password')}">
        <span class="field__title">
          Password *
        </span>
        <input type="password" formControlName="password">
        <span *ngIf="getError('password') as error"
              class="field__error"
        >
          {{error}}
        </span>
      </label>
    </div>
    <div class="small-form__hint">
      * -- required fields
    </div>
    <footer class="small-form__footer">
      <div *ngIf="resErrorMessage" class="small-form__error-message">
        {{resErrorMessage}}
      </div>
      <div class="small-form__buttons">
        <button
          type="submit"
          class="btn btn--primary"
          [disabled]="formGroup.invalid || formGroup.disabled"
        >
          Register
        </button>
        <a routerLink="/login" class="btn">
          Log in
        </a>
      </div>
    </footer>
  </form>
</div>
